# HotSecondsServer Download



## Java8
| version | since |   what's new| download url |
| ------ | ------ |  ------| ------|
|HotSecondsServer-future4| 2023-11-28 |  Proxy connection | [HotSecondsServer-future4.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/ProxyServer/HotSecondsServer-future4.zip)
|HotSecondsServer-future3| 2023-11-19 |  Run method2.0 and get value from server | [HotSecondsServer-future3.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer-future3.zip)
|HotSecondsServer-future2.1| 2023-09-17 |  Support MacOS 10.12| [HotSecondsServer-future2.1.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer-future2.1.zip)
|HotSecondsServer-future2| 2023-09-06 |   Unified remote RPC port| [HotSecondsServer-future2.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer-future2.zip)
|HotSecondsServer-future| 2023-08-31 |  Batch hot reloading files| [HotSecondsServer-future.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer-future.zip)
|HotSecondsServer-beat5| 2023-08-21 |   Package all static libraries of boot.dll | [HotSecondsServer-beat5.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsSever_beat/HotSecondsServer-beat5.zip)
|HotSecondsServer-beat4| 2023-08-08 |   Package boot.dll dependent libraries | [HotSecondsServer-beat4.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsSever_beat/HotSecondsServer-beat4.zip)
|HotSecondsServer-beat3| 2023-07-23 |   1.Remote compilation with lombok<br>2.Fix bug of refreshing mybatis xml | [HotSecondsServer-beat3.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsSever_beat/HotSecondsServer-beat3.zip)
|HotSecondsServer-beat2| 2023-07-11 |   HotSecondsExtension|[HotSecondsServer-beat2.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsSever_beat/HotSecondsServer-beat2.zip)
|HotSecondsServer-beat| 2023-07-08 | Fix some bugs |[HotSecondsServer-beat.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsSever_beat/HotSecondsServer-beat.zip) 
|HotSecondsServer-beta| 2023-06-22 | Init |[HotSecondsServer-beta.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer/HotSecondsServer-beta.zip) 


## Java11 & Java17
| version | since |   what's new| download url |
| ------ | ------ |  ------| ------|
|HotSecondsServer11-future4| 2023-11-28 |  Proxy connection | [HotSecondsServer11-future4.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/ProxyServer/HotSecondsServer11-future4.zip)
|HotSecondsServer11-future3| 2023-11-19 |   Run method2.0 and get value from server | [HotSecondsServer11-future3.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer11-future3.zip)
HotSecondsServer11-future2.1 | 2023-09-17 |   Support MacOS 10.12 |[HotSecondsServer11-future2.1.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer11-future2.1.zip)
HotSecondsServer11-future2 | 2023-09-16 |  init |[HotSecondsServer11-future2.zip](https://github.com/Liubsyy/HotSecondsIDEA/releases/download/HotSecondsServer_future/HotSecondsServer11-future2.zip)






